<?php
namespace idoit\Module\Cmdb\Model\Entry;

use idoit\Module\Cmdb\Interfaces\CollectionInterface;

class EntryCollection extends AbstractCollection implements CollectionInterface
{
    /**
     * @param Entry $entry
     *
     * @return CollectionInterface
     */
    public function addEntry(Entry $entry): CollectionInterface
    {
        $this->entries[$entry->getEntryId()] = $entry;
        return $this;
    }
}
